# Generated from rhubarbcipher-0.2.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rhubarbcipher

Name: rubygem-%{gem_name}
Version: 0.2.4
Release: 1%{?dist}
Summary: A plausibly deniable multi-key encryption/decryption system for GNU/Linux and BSD
License: GPL-3.0+
URL: https://github.com/octetsplicer/RHUBARBCIPHER
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.5
BuildArch: noarch

%description
RHUBARBCIPHER is a plausibly deniable multi-key file encryption/decryption
system for GNU/Linux and BSD that combines one-time pad encryption/decryption
with Shamir's Secret Sharing in an attempt to encrypt files in a versatile yet
information-theoretically secure manner. RHUBARBCIPHER is only recommended for
smaller files (e.g. less than 15000KiB) due to the time taken to
encrypt/decrypt data, which increases as a function of file size. It includes
an optional decoy feature which allows users to specify a decoy file and
generate a set of decoy keys in addition to the real keys. Size similarity
between the decoy file and the real file is strictly enforced. WARNING: Please
be aware that this gem has not undergone any form of independent security
evaluation.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/rhubarbcipher
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.4-1
- Initial package
